package ir.rose_soft.android_e;

import java.util.ArrayList;
import java.util.HashMap;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.text.Editable;
import android.text.TextWatcher;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.EditText;
import android.widget.ListView;

public class Search extends Activity {
	
	// List view
    private ListView lv;
     
    // Listview Adapter
    ArrayAdapter<String> adapter;
     
    // Search EditText
    EditText inputSearch;
     
     
    // ArrayList for Listview
    ArrayList<HashMap<String, String>> productList;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.search);
		
		// Listview Data
        String products[] = getResources().getStringArray(R.array.search);
         
        lv = (ListView) findViewById(R.id.list_view);
        inputSearch = (EditText) findViewById(R.id.inputSearch);
         
        // Adding items to listview
        adapter = new ArrayAdapter<String>(this, R.layout.list_item, R.id.subject_name, products);
        lv.setAdapter(adapter);
         
        /**
         * Enabling Search Filter
         * */
        inputSearch.addTextChangedListener(new TextWatcher() {
             
            @Override
            public void onTextChanged(CharSequence cs, int arg1, int arg2, int arg3) {
                // When user changed the Text
            	Search.this.adapter.getFilter().filter(cs);   
            }
             
            @Override
            public void beforeTextChanged(CharSequence arg0, int arg1, int arg2,
                    int arg3) {
                // TODO Auto-generated method stub
                 
            }
             
            @Override
            public void afterTextChanged(Editable arg0) {
                // TODO Auto-generated method stub                          
            }
        });
        
        // after click
        lv.setOnItemClickListener(new AdapterView.OnItemClickListener() {

            @Override
            public void onItemClick(AdapterView<?> parent, final View view,
                int position, long id) {
            	    	
            	final String item = lv.getItemAtPosition(position).toString();
            	int total_number = 3;
            	for(int x = 1; x < total_number+1; x = x+1) {
            		String SubjectName = "subject_" + String.valueOf(x);
                	int resID = getResources().getIdentifier(SubjectName, "string", getPackageName());
                	String subject = getResources().getString(resID);
                	
            		if(item.equals(subject)) {
            			String StringClass = "ir.rose_soft.android_e.Subject_" + String.valueOf(x);
            			Class<?> c = null;
            			if(StringClass != null) {
            			    try {
            			        c = Class.forName(StringClass);
            			    } catch (ClassNotFoundException e) {
            			        // TODO Auto-generated catch block
            			        e.printStackTrace();
            			    }
            			}
            			Intent intent = new Intent(Search.this, c);
            			startActivity(intent);
            		}
            	}
	    	
            }

          });
	}
	
	@Override
	public void onResume() {
	    super.onResume();
	    adapter.notifyDataSetChanged();
	}
	
	@Override
	  public boolean onCreateOptionsMenu(Menu menu) {
			MenuInflater inflater = getMenuInflater();
		    inflater.inflate(R.menu.menu, menu);
		    return true;
	}
	
	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		switch (item.getItemId()) {
		case R.id.itemSearch:
			startActivity(new Intent(Search.this, Search.class));
			return true;
		default: 
			return true;
		}	
	}

	

}
